Bug 494310 - Package is missing 'prove' command and App::Prove modules
Package is missing 'prove' command and App::Prove modules
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: perl-TAP-Harness (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 06:59 EDT by Daniel Berrange
Modified: 2009-04-06 07:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 07:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update RPM spec to include App::Prove and prove command (1.96 KB, patch)
2009-04-06 07:00 EDT, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2009-04-06 06:59:09 EDT
Description of problem:
I've got an application which makes use of the new TAP testing infrastructure modules, and prove command that post-date the version of Test-Harness included in RHEL5 base perl. 

The perl-TAP-Harness package provides most of the pieces I need, but has removed the actual 'prove' command and App::Prove modules, crippling the package for my needs. 

Version-Release number of selected component (if applicable):
perl-TAP-Harness-3.10-2.el5

How reproducible:
Always

Steps to Reproduce:
1. Install perl-TAP-Harness
2. Try to use 'prove' or App::Prove modules
3.
  
Actual results:
Not present

Expected results:


Additional info:
Comment 1 Daniel Berrange 2009-04-06 07:00:47 EDT
Created attachment 338313 [details]
Update RPM spec to include App::Prove and prove command

This patch updates the RPM spec to include the App::Prove modules, as well as the 'prove' command. For the latter, I have renamed it to 'prove-tap' to avoid clash with the traditional incompatible 'prove' command in base perl RPM from RHEL5. Finally it also updates to version 3.16 which is latest on CPAN.
Comment 2 Lubomir Rintel 2009-04-06 07:21:58 EDT
Thanks for the patch, applied.
Comment 3 Lubomir Rintel 2009-04-06 07:30:24 EDT
Built. Will enter testing soonish.
http://buildsys.fedoraproject.org/plague-results/fedora-5-epel/perl-TAP-Harness/

Note You need to log in before you can comment on or make changes to this bug.